Altimax\Apidae\Core\Entity\SitraDownload:
    type: entity
    table: sitra_download
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        sitewebid:
            type: integer
            nullable: false
            unsigned: false
            comment: 'Id SITRA du site web'
            column: siteWebId
        dateexport:
            type: datetime
            nullable: false
            comment: 'Date de l''export Sitra 2'
            column: dateExport
        statut:
            type: string
            nullable: false
            length: 10
            fixed: false
            comment: 'Statut de l''export (error ou success)'
        reinitialisation:
            type: boolean
            nullable: false
            comment: 'S''agit-il d''une réinitialisation ?'
            default: '0'
        urlrecuperation:
            type: string
            nullable: false
            length: 255
            fixed: false
            comment: 'Url de récupération des données zippées'
            column: urlRecuperation
        urlconfirmation:
            type: string
            nullable: true
            length: 255
            fixed: false
            comment: 'Url de confirmation de traitement SITRA'
            column: urlConfirmation
    lifecycleCallbacks: {  }
